
<div id="main_and_login_boxes">
<div id="login_box">

  <% if flash.include?(:notices) %>
    <% flash[:notices].each do |notice| %>
      <div id="notice"><%= notice %></div>
    <% end -%>
  <% end -%>
      <%=
      if session[:user_id].nil?
	c = []
	c << start_form_tag({:controller => 'login', 
                            :action => 'login'}, 
                            {:name => 'login'})
        
	c << '<label for="name">Name:</label>'
	c << text_field_tag(:name, 
                            params[:name])

	c << '<label for="password">Password:</label>'
	c <<  password_field_tag(:password, params[:password])

	c << submit_tag('Login')

	c << end_form_tag


        c.join "\n"

      else
        c = []
	c << 'logged in as '
	c << content_tag('i', User.find(session[:user_id]).name)
	c << content_tag('div', 
	link_to ("Logout", :controller=>'login', :action=>'logout'))
	c << render(:action => 'gadget/areas')
      end-%>


  <br>

</div>

</div>
